Bug 1485014 - cluster name hard coded to 'ceph' in /usr/lib/phython2.7/site-packages/ceph_disk/main.py
Summary: cluster name hard coded to 'ceph' in /usr/lib/phython2.7/site-packages/ceph_d...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Disk
Version: 2.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 2.*
Assignee: Kefu Chai
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-24 20:34 UTC by Justin Bautista
Modified: 2021-03-11 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-18 22:30:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 3253 0 None None None 2017-09-20 12:51:14 UTC

Description Justin Bautista 2017-08-24 20:34:35 UTC
Description of problem:

Customer has reported that the mount options from cluster config are not applying because they have cluster with name 'ceph-sv4' 

While the OSDs are mounting, ceph-disk seems to be using hardcoded cluster name 'ceph' in /usr/lib/python2.7/site-packages/ceph_disk/main.py

    # TODO always using mount options from cluster=ceph for
    # now; see http://tracker.newdream.net/issues/3253
    mount_options = get_mount_options(cluster='ceph', fs_type=fstype)
===========================================================================

Instead of 'ceph' should this be '$cluster-$id' (or something equivalent)?

In the meantime, is there a workaround, other than fstab, to use mount options for ceph config when cluster name isn't default?

Comment 2 Josh Durgin 2019-01-18 22:30:29 UTC
This isn't severe enough to change ceph-disk for at this point.


Note You need to log in before you can comment on or make changes to this bug.